Solid Edge Part Type Library
Add Method
Specifies the base face to be included.
Specifies the target face to be included.
Specifies the base top edge to be included.
Specifies the base bottom edge to be included.
Specifies the target top edge to be included.
Specifies the target bottom edge to be included.
This is the vertex obtained from target edge.
Projection method for target top path.
Projection method for target bottom path.
Type of first end of bead.
Type of second end of bead.
Location of first plane along the bead.
Location of second plane along the bead.
Weld label data object.
Description
Adds part groove weld.
Syntax
Visual Basic
Public Function Add( _
   ByVal BaseFaces As Object, _
   ByVal TargetFaces As Object, _
   ByVal BaseTopEdges As Object, _
   ByVal BaseBottomEdges As Object, _
   ByVal TargetTopEdges As Object, _
   ByVal TargetBottomEdges As Object, _
   ByVal StartVertex As Object, _
   ByVal TopCapMethod As FeaturePropertyConstants, _
   ByVal BottomCapMethod As FeaturePropertyConstants, _
   ByVal StartCapMethod As FeaturePropertyConstants, _
   ByVal EndCapMethod As FeaturePropertyConstants, _
   ByVal StartOffsetValue As Double, _
   ByVal EndOffsetValue As Double, _
   ByVal LabelWeldDataObject As LabelWeldData _
) As PartGrooveWeld
Parameters
BaseFaces
Specifies the base face to be included.
TargetFaces
Specifies the target face to be included.
BaseTopEdges
Specifies the base top edge to be included.
BaseBottomEdges
Specifies the base bottom edge to be included.
TargetTopEdges
Specifies the target top edge to be included.
TargetBottomEdges
Specifies the target bottom edge to be included.
StartVertex
This is the vertex obtained from target edge.
TopCapMethod
ValueDescription
igAddRound
igAll
igAlongAnAxis
igAngularDummy
igAsConstruction
igBend
igBendAndFaceCornerRelief
igBendOnlyCornerRelief
igBothFeature Properties - Both
igChainedCornerRelief
igChamfer2Setbacks
igChamfer45degSetback
igChamferAngleSetback
igCircular
igCloseCornerCircleCutout
igCloseCornerClosed
igCloseCornerNone
igCloseCornerOpen
igClosed
igCloseFaces
igConcave
igConstantRadiusArc
igConstRadiusRound
igContinuous
igConvex
igCopy
igCornerRound
igCounterboreHole
igCounterboreProfileIsAtBottom
igCounterboreProfileIsAtTop
igCounterdrillHole
igCountersinkHole
igCurvatureContinuous
igCurvatureContinuousInterior
igCurveSetSeperator
igDeleteFaceHeal
igDelSMFaceBoth
igDelSMFaceNone
igDelSystemRelief
igDelZeroBendRadius
igDevelopableSurface
igEdgeBasedCrossSection
igEdgesByLoop
igEdgesByVertex
igEnd
igEndCaps
igEqualOffset
igEquationType
igExtendFeature Properties - Extend
igExtendBendRelief
igFacesTouchingCurvesOnly
igFilletBendRelief
igFinite
igFlangeCenterOfEdge
igFlangeEndFromEndEdge
igFlangeEndOnEndEdge
igFlangeFromBothEndsOfEdge
igFlangeFromDefinedStartPoint
igFlangeFullEdge
igFlangeMatchFace
igFlangeOffset
igFlangeStartFromEndEdge
igFlangeStartOnEndEdge
igFlatten
igFormedEnd
igFromNonReferenceEnd
igFromReferenceEnd
igFromTo
igFull
igGroove
igHemTypeCenteredLoop
igHemTypeClosed
igHemTypeClosedLoop
igHemTypeCurl
igHemTypeOpen
igHemTypeOpenLoop
igHemTypeSFlange
igIgnoreBlends
igInsideFeature Properties - Remove/Add Material Inside
igInsideDimension
igIntersect
igLancedEnd
igLeftFeature Properties - Project to Left
igLinear
igLinearCurvatureContinuousExtension
igLinearTangentExtension
igLip
igLouverFormedEndType
igLouverLancedEndType
igLouverRound
igLouverRoundNone
igMitreByAngle
igMitreByDist
igMitreManufacturingCut
igMitreNormalToThickness
igMitreParallelToThickness
igMitreRegularCut
igMove
igMultipleEdges
igNatural
igNeutralFactorFromExcel
igNFType
igNoCornerRound
igNoExtendFeature Properties - Do Not Extend
igNone
igNonSymmetric
igNormal
igNormalSideDummyFeature Properties - Normal Side
igNoRound
igNullConstant
igOffset
igOutsideFeature Properties - Remove/Add Material Outside
igOutsideDimension
igOverlapFaces
igParallelDummy
igParallelToPlane
igPartingFromCurve
igPartingFromEdge
igPartingFromPlane
igPartingFromSurface
igPatternAlongCurve
igPatternByTable
igPatternCircular
igPatternFillRegion
igPatternMirror
igPatternMountingBoss
igPatternRectangular
igPatternUserDefined
igPeriodic
igProfileBasedCrossSection
igProjectOptionProject
igProjectOptionWrap
igPunchedEnd
igRadial
igRaisedCounterboreSlot
igRecessedCounterboreSlot
igRecreateBlends
igRectangularBendRelief
igReflective
igRegularHole
igRegularSlot
igRegularThread
igRemoveBoundaries
igRemoveExternalBoundaries
igRemoveInternalBoundaries
igReverseNormal
igReverseNormalSideDummyFeature Properties - Reverse Normal Side
igRightFeature Properties - Project to Right
igRipBendRelief
igRipCornerRelief
igRndCapAcrossSharpEdges
igRndMiterAtCorner
igRndPreserveTopologyOff
igRndPreserveTopologyOn
igRndRollAcrossSharpEdges
igRndRollAcrossTangentEdgesOff
igRndRollAcrossTangentEdgesOn
igRndRollAlongBlendEdgesOff
igRndRollAlongBlendEdgesOn
igRndRollAroundCorner
igRoundAllVertexSetback
igRoundEndVertexEdgeSetback
igRoundSetbackIsAbsolute
igRoundSetbackIsRelative
igRoundSingleVertexSetback
igRoundStartVertexEdgeSetback
igRoundVertexEdgeSetback
igShowBoundaries
igSideInfoSetSeperator
igSingleEdge
igSMClearanceCutout
igSMFaceCutout
igSMMidPlaneCutout
igSplit
igSplitAngle1Left
igSplitAngle1Right
igSplitDraft
igStart
igStepDraft
igStepDraftPerpendicular
igStraightPipeThread
igSubtract
igSweepAlignArcLength
igSweepAlignNormal
igSweepAlignParallel
igSweepAlignParametrically
igSweepC1Continuity
igSweepC2Continuity
igSweepMergeAll
igSweepMergeAlongPath
igSweepMergeNone
igSweepScaleNone
igSweepScaleStartAndEnd
igSweepTwistNone
igSweepTwistStartAndEnd
igSweepTwistTurns
igSweepTwistTurnsPerUnitLength
igSymmetricFeature Properties - Symmetric Extent
igTangent
igTangentInterior
igTaperByAngle
igTaperByRatio
igTaperByRLRatio
igTaperDimAtBottom
igTaperDimAtTop
igTaperedEnd
igTaperedHole
igTaperedPipeThread
igTaperedToPlane
igTappedHole
igThickness
igThkInProfilePlane
igThkNormalToProfilePlane
igThreeHundredAndSixty
igThroughAll
igThroughAxis
igToEndOfEdge
igToggleToConstructionToggle from Design to Construction
igToggleToDesignToggle from Construction to Design
igToKeyPoint
igToNext
igTreatmentCircleCutout
igTreatmentCrown
igTreatmentDraft
igTreatmentFormedFeatureDisplayAsCenterMark
igTreatmentFormedFeatureDisplayAsModeled
igTreatmentFormedFeatureDisplayAsSketch
igTreatmentFormedFeatureDisplayAsSketchAndCenterMark
igTreatmentIntersect
igTreatmentMiterRelief
igTreatmentOff
igTreatmentRectangularCutout
igTreatmentUCutout
igTreatmentVCutout
igUnequalOffset
igUnite
igUShaped
igVarRadiusRound
igVBottomDimToFlat
igVBottomDimToV
igVShaped
igWeldGrooveCapProject
igWeldGrooveCapSameAsTop
igWeldGrooveCapSurface
Projection method for target top path.
BottomCapMethod
ValueDescription
igAddRound
igAll
igAlongAnAxis
igAngularDummy
igAsConstruction
igBend
igBendAndFaceCornerRelief
igBendOnlyCornerRelief
igBothFeature Properties - Both
igChainedCornerRelief
igChamfer2Setbacks
igChamfer45degSetback
igChamferAngleSetback
igCircular
igCloseCornerCircleCutout
igCloseCornerClosed
igCloseCornerNone
igCloseCornerOpen
igClosed
igCloseFaces
igConcave
igConstantRadiusArc
igConstRadiusRound
igContinuous
igConvex
igCopy
igCornerRound
igCounterboreHole
igCounterboreProfileIsAtBottom
igCounterboreProfileIsAtTop
igCounterdrillHole
igCountersinkHole
igCurvatureContinuous
igCurvatureContinuousInterior
igCurveSetSeperator
igDeleteFaceHeal
igDelSMFaceBoth
igDelSMFaceNone
igDelSystemRelief
igDelZeroBendRadius
igDevelopableSurface
igEdgeBasedCrossSection
igEdgesByLoop
igEdgesByVertex
igEnd
igEndCaps
igEqualOffset
igEquationType
igExtendFeature Properties - Extend
igExtendBendRelief
igFacesTouchingCurvesOnly
igFilletBendRelief
igFinite
igFlangeCenterOfEdge
igFlangeEndFromEndEdge
igFlangeEndOnEndEdge
igFlangeFromBothEndsOfEdge
igFlangeFromDefinedStartPoint
igFlangeFullEdge
igFlangeMatchFace
igFlangeOffset
igFlangeStartFromEndEdge
igFlangeStartOnEndEdge
igFlatten
igFormedEnd
igFromNonReferenceEnd
igFromReferenceEnd
igFromTo
igFull
igGroove
igHemTypeCenteredLoop
igHemTypeClosed
igHemTypeClosedLoop
igHemTypeCurl
igHemTypeOpen
igHemTypeOpenLoop
igHemTypeSFlange
igIgnoreBlends
igInsideFeature Properties - Remove/Add Material Inside
igInsideDimension
igIntersect
igLancedEnd
igLeftFeature Properties - Project to Left
igLinear
igLinearCurvatureContinuousExtension
igLinearTangentExtension
igLip
igLouverFormedEndType
igLouverLancedEndType
igLouverRound
igLouverRoundNone
igMitreByAngle
igMitreByDist
igMitreManufacturingCut
igMitreNormalToThickness
igMitreParallelToThickness
igMitreRegularCut
igMove
igMultipleEdges
igNatural
igNeutralFactorFromExcel
igNFType
igNoCornerRound
igNoExtendFeature Properties - Do Not Extend
igNone
igNonSymmetric
igNormal
igNormalSideDummyFeature Properties - Normal Side
igNoRound
igNullConstant
igOffset
igOutsideFeature Properties - Remove/Add Material Outside
igOutsideDimension
igOverlapFaces
igParallelDummy
igParallelToPlane
igPartingFromCurve
igPartingFromEdge
igPartingFromPlane
igPartingFromSurface
igPatternAlongCurve
igPatternByTable
igPatternCircular
igPatternFillRegion
igPatternMirror
igPatternMountingBoss
igPatternRectangular
igPatternUserDefined
igPeriodic
igProfileBasedCrossSection
igProjectOptionProject
igProjectOptionWrap
igPunchedEnd
igRadial
igRaisedCounterboreSlot
igRecessedCounterboreSlot
igRecreateBlends
igRectangularBendRelief
igReflective
igRegularHole
igRegularSlot
igRegularThread
igRemoveBoundaries
igRemoveExternalBoundaries
igRemoveInternalBoundaries
igReverseNormal
igReverseNormalSideDummyFeature Properties - Reverse Normal Side
igRightFeature Properties - Project to Right
igRipBendRelief
igRipCornerRelief
igRndCapAcrossSharpEdges
igRndMiterAtCorner
igRndPreserveTopologyOff
igRndPreserveTopologyOn
igRndRollAcrossSharpEdges
igRndRollAcrossTangentEdgesOff
igRndRollAcrossTangentEdgesOn
igRndRollAlongBlendEdgesOff
igRndRollAlongBlendEdgesOn
igRndRollAroundCorner
igRoundAllVertexSetback
igRoundEndVertexEdgeSetback
igRoundSetbackIsAbsolute
igRoundSetbackIsRelative
igRoundSingleVertexSetback
igRoundStartVertexEdgeSetback
igRoundVertexEdgeSetback
igShowBoundaries
igSideInfoSetSeperator
igSingleEdge
igSMClearanceCutout
igSMFaceCutout
igSMMidPlaneCutout
igSplit
igSplitAngle1Left
igSplitAngle1Right
igSplitDraft
igStart
igStepDraft
igStepDraftPerpendicular
igStraightPipeThread
igSubtract
igSweepAlignArcLength
igSweepAlignNormal
igSweepAlignParallel
igSweepAlignParametrically
igSweepC1Continuity
igSweepC2Continuity
igSweepMergeAll
igSweepMergeAlongPath
igSweepMergeNone
igSweepScaleNone
igSweepScaleStartAndEnd
igSweepTwistNone
igSweepTwistStartAndEnd
igSweepTwistTurns
igSweepTwistTurnsPerUnitLength
igSymmetricFeature Properties - Symmetric Extent
igTangent
igTangentInterior
igTaperByAngle
igTaperByRatio
igTaperByRLRatio
igTaperDimAtBottom
igTaperDimAtTop
igTaperedEnd
igTaperedHole
igTaperedPipeThread
igTaperedToPlane
igTappedHole
igThickness
igThkInProfilePlane
igThkNormalToProfilePlane
igThreeHundredAndSixty
igThroughAll
igThroughAxis
igToEndOfEdge
igToggleToConstructionToggle from Design to Construction
igToggleToDesignToggle from Construction to Design
igToKeyPoint
igToNext
igTreatmentCircleCutout
igTreatmentCrown
igTreatmentDraft
igTreatmentFormedFeatureDisplayAsCenterMark
igTreatmentFormedFeatureDisplayAsModeled
igTreatmentFormedFeatureDisplayAsSketch
igTreatmentFormedFeatureDisplayAsSketchAndCenterMark
igTreatmentIntersect
igTreatmentMiterRelief
igTreatmentOff
igTreatmentRectangularCutout
igTreatmentUCutout
igTreatmentVCutout
igUnequalOffset
igUnite
igUShaped
igVarRadiusRound
igVBottomDimToFlat
igVBottomDimToV
igVShaped
igWeldGrooveCapProject
igWeldGrooveCapSameAsTop
igWeldGrooveCapSurface
Projection method for target bottom path.
StartCapMethod
ValueDescription
igAddRound
igAll
igAlongAnAxis
igAngularDummy
igAsConstruction
igBend
igBendAndFaceCornerRelief
igBendOnlyCornerRelief
igBothFeature Properties - Both
igChainedCornerRelief
igChamfer2Setbacks
igChamfer45degSetback
igChamferAngleSetback
igCircular
igCloseCornerCircleCutout
igCloseCornerClosed
igCloseCornerNone
igCloseCornerOpen
igClosed
igCloseFaces
igConcave
igConstantRadiusArc
igConstRadiusRound
igContinuous
igConvex
igCopy
igCornerRound
igCounterboreHole
igCounterboreProfileIsAtBottom
igCounterboreProfileIsAtTop
igCounterdrillHole
igCountersinkHole
igCurvatureContinuous
igCurvatureContinuousInterior
igCurveSetSeperator
igDeleteFaceHeal
igDelSMFaceBoth
igDelSMFaceNone
igDelSystemRelief
igDelZeroBendRadius
igDevelopableSurface
igEdgeBasedCrossSection
igEdgesByLoop
igEdgesByVertex
igEnd
igEndCaps
igEqualOffset
igEquationType
igExtendFeature Properties - Extend
igExtendBendRelief
igFacesTouchingCurvesOnly
igFilletBendRelief
igFinite
igFlangeCenterOfEdge
igFlangeEndFromEndEdge
igFlangeEndOnEndEdge
igFlangeFromBothEndsOfEdge
igFlangeFromDefinedStartPoint
igFlangeFullEdge
igFlangeMatchFace
igFlangeOffset
igFlangeStartFromEndEdge
igFlangeStartOnEndEdge
igFlatten
igFormedEnd
igFromNonReferenceEnd
igFromReferenceEnd
igFromTo
igFull
igGroove
igHemTypeCenteredLoop
igHemTypeClosed
igHemTypeClosedLoop
igHemTypeCurl
igHemTypeOpen
igHemTypeOpenLoop
igHemTypeSFlange
igIgnoreBlends
igInsideFeature Properties - Remove/Add Material Inside
igInsideDimension
igIntersect
igLancedEnd
igLeftFeature Properties - Project to Left
igLinear
igLinearCurvatureContinuousExtension
igLinearTangentExtension
igLip
igLouverFormedEndType
igLouverLancedEndType
igLouverRound
igLouverRoundNone
igMitreByAngle
igMitreByDist
igMitreManufacturingCut
igMitreNormalToThickness
igMitreParallelToThickness
igMitreRegularCut
igMove
igMultipleEdges
igNatural
igNeutralFactorFromExcel
igNFType
igNoCornerRound
igNoExtendFeature Properties - Do Not Extend
igNone
igNonSymmetric
igNormal
igNormalSideDummyFeature Properties - Normal Side
igNoRound
igNullConstant
igOffset
igOutsideFeature Properties - Remove/Add Material Outside
igOutsideDimension
igOverlapFaces
igParallelDummy
igParallelToPlane
igPartingFromCurve
igPartingFromEdge
igPartingFromPlane
igPartingFromSurface
igPatternAlongCurve
igPatternByTable
igPatternCircular
igPatternFillRegion
igPatternMirror
igPatternMountingBoss
igPatternRectangular
igPatternUserDefined
igPeriodic
igProfileBasedCrossSection
igProjectOptionProject
igProjectOptionWrap
igPunchedEnd
igRadial
igRaisedCounterboreSlot
igRecessedCounterboreSlot
igRecreateBlends
igRectangularBendRelief
igReflective
igRegularHole
igRegularSlot
igRegularThread
igRemoveBoundaries
igRemoveExternalBoundaries
igRemoveInternalBoundaries
igReverseNormal
igReverseNormalSideDummyFeature Properties - Reverse Normal Side
igRightFeature Properties - Project to Right
igRipBendRelief
igRipCornerRelief
igRndCapAcrossSharpEdges
igRndMiterAtCorner
igRndPreserveTopologyOff
igRndPreserveTopologyOn
igRndRollAcrossSharpEdges
igRndRollAcrossTangentEdgesOff
igRndRollAcrossTangentEdgesOn
igRndRollAlongBlendEdgesOff
igRndRollAlongBlendEdgesOn
igRndRollAroundCorner
igRoundAllVertexSetback
igRoundEndVertexEdgeSetback
igRoundSetbackIsAbsolute
igRoundSetbackIsRelative
igRoundSingleVertexSetback
igRoundStartVertexEdgeSetback
igRoundVertexEdgeSetback
igShowBoundaries
igSideInfoSetSeperator
igSingleEdge
igSMClearanceCutout
igSMFaceCutout
igSMMidPlaneCutout
igSplit
igSplitAngle1Left
igSplitAngle1Right
igSplitDraft
igStart
igStepDraft
igStepDraftPerpendicular
igStraightPipeThread
igSubtract
igSweepAlignArcLength
igSweepAlignNormal
igSweepAlignParallel
igSweepAlignParametrically
igSweepC1Continuity
igSweepC2Continuity
igSweepMergeAll
igSweepMergeAlongPath
igSweepMergeNone
igSweepScaleNone
igSweepScaleStartAndEnd
igSweepTwistNone
igSweepTwistStartAndEnd
igSweepTwistTurns
igSweepTwistTurnsPerUnitLength
igSymmetricFeature Properties - Symmetric Extent
igTangent
igTangentInterior
igTaperByAngle
igTaperByRatio
igTaperByRLRatio
igTaperDimAtBottom
igTaperDimAtTop
igTaperedEnd
igTaperedHole
igTaperedPipeThread
igTaperedToPlane
igTappedHole
igThickness
igThkInProfilePlane
igThkNormalToProfilePlane
igThreeHundredAndSixty
igThroughAll
igThroughAxis
igToEndOfEdge
igToggleToConstructionToggle from Design to Construction
igToggleToDesignToggle from Construction to Design
igToKeyPoint
igToNext
igTreatmentCircleCutout
igTreatmentCrown
igTreatmentDraft
igTreatmentFormedFeatureDisplayAsCenterMark
igTreatmentFormedFeatureDisplayAsModeled
igTreatmentFormedFeatureDisplayAsSketch
igTreatmentFormedFeatureDisplayAsSketchAndCenterMark
igTreatmentIntersect
igTreatmentMiterRelief
igTreatmentOff
igTreatmentRectangularCutout
igTreatmentUCutout
igTreatmentVCutout
igUnequalOffset
igUnite
igUShaped
igVarRadiusRound
igVBottomDimToFlat
igVBottomDimToV
igVShaped
igWeldGrooveCapProject
igWeldGrooveCapSameAsTop
igWeldGrooveCapSurface
Type of first end of bead.
EndCapMethod
ValueDescription
igAddRound
igAll
igAlongAnAxis
igAngularDummy
igAsConstruction
igBend
igBendAndFaceCornerRelief
igBendOnlyCornerRelief
igBothFeature Properties - Both
igChainedCornerRelief
igChamfer2Setbacks
igChamfer45degSetback
igChamferAngleSetback
igCircular
igCloseCornerCircleCutout
igCloseCornerClosed
igCloseCornerNone
igCloseCornerOpen
igClosed
igCloseFaces
igConcave
igConstantRadiusArc
igConstRadiusRound
igContinuous
igConvex
igCopy
igCornerRound
igCounterboreHole
igCounterboreProfileIsAtBottom
igCounterboreProfileIsAtTop
igCounterdrillHole
igCountersinkHole
igCurvatureContinuous
igCurvatureContinuousInterior
igCurveSetSeperator
igDeleteFaceHeal
igDelSMFaceBoth
igDelSMFaceNone
igDelSystemRelief
igDelZeroBendRadius
igDevelopableSurface
igEdgeBasedCrossSection
igEdgesByLoop
igEdgesByVertex
igEnd
igEndCaps
igEqualOffset
igEquationType
igExtendFeature Properties - Extend
igExtendBendRelief
igFacesTouchingCurvesOnly
igFilletBendRelief
igFinite
igFlangeCenterOfEdge
igFlangeEndFromEndEdge
igFlangeEndOnEndEdge
igFlangeFromBothEndsOfEdge
igFlangeFromDefinedStartPoint
igFlangeFullEdge
igFlangeMatchFace
igFlangeOffset
igFlangeStartFromEndEdge
igFlangeStartOnEndEdge
igFlatten
igFormedEnd
igFromNonReferenceEnd
igFromReferenceEnd
igFromTo
igFull
igGroove
igHemTypeCenteredLoop
igHemTypeClosed
igHemTypeClosedLoop
igHemTypeCurl
igHemTypeOpen
igHemTypeOpenLoop
igHemTypeSFlange
igIgnoreBlends
igInsideFeature Properties - Remove/Add Material Inside
igInsideDimension
igIntersect
igLancedEnd
igLeftFeature Properties - Project to Left
igLinear
igLinearCurvatureContinuousExtension
igLinearTangentExtension
igLip
igLouverFormedEndType
igLouverLancedEndType
igLouverRound
igLouverRoundNone
igMitreByAngle
igMitreByDist
igMitreManufacturingCut
igMitreNormalToThickness
igMitreParallelToThickness
igMitreRegularCut
igMove
igMultipleEdges
igNatural
igNeutralFactorFromExcel
igNFType
igNoCornerRound
igNoExtendFeature Properties - Do Not Extend
igNone
igNonSymmetric
igNormal
igNormalSideDummyFeature Properties - Normal Side
igNoRound
igNullConstant
igOffset
igOutsideFeature Properties - Remove/Add Material Outside
igOutsideDimension
igOverlapFaces
igParallelDummy
igParallelToPlane
igPartingFromCurve
igPartingFromEdge
igPartingFromPlane
igPartingFromSurface
igPatternAlongCurve
igPatternByTable
igPatternCircular
igPatternFillRegion
igPatternMirror
igPatternMountingBoss
igPatternRectangular
igPatternUserDefined
igPeriodic
igProfileBasedCrossSection
igProjectOptionProject
igProjectOptionWrap
igPunchedEnd
igRadial
igRaisedCounterboreSlot
igRecessedCounterboreSlot
igRecreateBlends
igRectangularBendRelief
igReflective
igRegularHole
igRegularSlot
igRegularThread
igRemoveBoundaries
igRemoveExternalBoundaries
igRemoveInternalBoundaries
igReverseNormal
igReverseNormalSideDummyFeature Properties - Reverse Normal Side
igRightFeature Properties - Project to Right
igRipBendRelief
igRipCornerRelief
igRndCapAcrossSharpEdges
igRndMiterAtCorner
igRndPreserveTopologyOff
igRndPreserveTopologyOn
igRndRollAcrossSharpEdges
igRndRollAcrossTangentEdgesOff
igRndRollAcrossTangentEdgesOn
igRndRollAlongBlendEdgesOff
igRndRollAlongBlendEdgesOn
igRndRollAroundCorner
igRoundAllVertexSetback
igRoundEndVertexEdgeSetback
igRoundSetbackIsAbsolute
igRoundSetbackIsRelative
igRoundSingleVertexSetback
igRoundStartVertexEdgeSetback
igRoundVertexEdgeSetback
igShowBoundaries
igSideInfoSetSeperator
igSingleEdge
igSMClearanceCutout
igSMFaceCutout
igSMMidPlaneCutout
igSplit
igSplitAngle1Left
igSplitAngle1Right
igSplitDraft
igStart
igStepDraft
igStepDraftPerpendicular
igStraightPipeThread
igSubtract
igSweepAlignArcLength
igSweepAlignNormal
igSweepAlignParallel
igSweepAlignParametrically
igSweepC1Continuity
igSweepC2Continuity
igSweepMergeAll
igSweepMergeAlongPath
igSweepMergeNone
igSweepScaleNone
igSweepScaleStartAndEnd
igSweepTwistNone
igSweepTwistStartAndEnd
igSweepTwistTurns
igSweepTwistTurnsPerUnitLength
igSymmetricFeature Properties - Symmetric Extent
igTangent
igTangentInterior
igTaperByAngle
igTaperByRatio
igTaperByRLRatio
igTaperDimAtBottom
igTaperDimAtTop
igTaperedEnd
igTaperedHole
igTaperedPipeThread
igTaperedToPlane
igTappedHole
igThickness
igThkInProfilePlane
igThkNormalToProfilePlane
igThreeHundredAndSixty
igThroughAll
igThroughAxis
igToEndOfEdge
igToggleToConstructionToggle from Design to Construction
igToggleToDesignToggle from Construction to Design
igToKeyPoint
igToNext
igTreatmentCircleCutout
igTreatmentCrown
igTreatmentDraft
igTreatmentFormedFeatureDisplayAsCenterMark
igTreatmentFormedFeatureDisplayAsModeled
igTreatmentFormedFeatureDisplayAsSketch
igTreatmentFormedFeatureDisplayAsSketchAndCenterMark
igTreatmentIntersect
igTreatmentMiterRelief
igTreatmentOff
igTreatmentRectangularCutout
igTreatmentUCutout
igTreatmentVCutout
igUnequalOffset
igUnite
igUShaped
igVarRadiusRound
igVBottomDimToFlat
igVBottomDimToV
igVShaped
igWeldGrooveCapProject
igWeldGrooveCapSameAsTop
igWeldGrooveCapSurface
Type of second end of bead.
StartOffsetValue
Location of first plane along the bead.
EndOffsetValue
Location of second plane along the bead.
LabelWeldDataObject
Weld label data object.
Example
Imports System.IO
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApp As SolidEdgeFramework.Application
        Dim objDoc As SolidEdgePart.PartDocument
        Dim objRefPlane As SolidEdgePart.RefPlane
        Dim objProfiles(0 To 3) As SolidEdgePart.Profile
        Dim objLines As SolidEdgeFrameworkSupport.Lines2d
        Dim objRelations As SolidEdgeFrameworkSupport.Relations2d
        Dim objLine(0 To 4) As SolidEdgeFrameworkSupport.Line2d
        Dim objBaseLines As SolidEdgeFrameworkSupport.Lines2d
        Dim objBaseProfile(0 To 2) As SolidEdgePart.Profile
        Dim objBaseRelns As SolidEdgeFrameworkSupport.Relations2d
        Dim objModel As SolidEdgePart.Model
        Dim objLoftCut As SolidEdgePart.LoftedCutout
        Dim objLoftCuts As SolidEdgePart.LoftedCutouts
        Dim lngStatus As Long
        Dim xOrigin As Double, yOrigin As Double
        Dim OriginArray(0 To 3) As Object
        Dim Origin(0 To 2) As Double
        Dim SectionTypes(0 To 3) As Long
        Dim objBaseFaces As SolidEdgeGeometry.Face
        Dim objTargetFaces As SolidEdgeGeometry.Face
        Dim objFaces As SolidEdgeGeometry.Faces = Nothing
        Dim objFace As SolidEdgeGeometry.Face = Nothing
        Dim objExtProt1 As SolidEdgePart.ExtrudedProtrusion = Nothing
        Dim objExtProt2 As SolidEdgePart.ExtrudedProtrusion = Nothing

        Dim StartVertex As SolidEdgeGeometry.Vertex
        Dim TopCapMethod As SolidEdgePart.FeaturePropertyConstants
        Dim BottomCapMethod As SolidEdgePart.FeaturePropertyConstants
        Dim StartCapMethod As SolidEdgePart.FeaturePropertyConstants
        Dim EndCapMethod As SolidEdgePart.FeaturePropertyConstants
        Dim objTargetEdges As SolidEdgeGeometry.Edges
        Dim objBaseEdges As SolidEdgeGeometry.Edges
        Dim StartOffsetValue As Double, EndOffsetValue As Double
        
        Dim GrooveWelds As SolidEdgePart.PartGrooveWelds
        Dim GrooveWeld As SolidEdgePart.PartGrooveWeld

        Dim LabelWeldDC As SolidEdgePart.LabelWeldDataCollection
        Dim LabelWeldObject As SolidEdgePart.LabelWeldData

        Dim objTargetTopEdges As SolidEdgeGeometry.Edge
        Dim objTargetBottomEdges As SolidEdgeGeometry.Edge
        Dim objBaseTopEdges As SolidEdgeGeometry.Edge
        Dim objBaseBottomEdges As SolidEdgeGeometry.Edge

        Try
            ' Get the application with specific settings
            objApp = Marshal.GetActiveObject("SolidEdge.Application")

            'objApp = CreateObject("SolidEdge.Application")
            objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
            objApp.Visible = True

            ' Draw the Base Profile
            objBaseProfile(0) = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes.Item(1))
            objBaseLines = objBaseProfile(0).Lines2d
            Call objBaseLines.AddBy2Points(x1:=0, y1:=0, x2:=0.1, y2:=0)
            Call objBaseLines.AddBy2Points(x1:=0.1, y1:=0, x2:=0.1, y2:=0.1)
            Call objBaseLines.AddBy2Points(x1:=0.1, y1:=0.1, x2:=0, y2:=0.1)
            Call objBaseLines.AddBy2Points(x1:=0, y1:=0.1, x2:=0, y2:=0)
            ' Define Relations among the Line objects to make the Profile closed
            objBaseRelns = objBaseProfile(0).Relations2d
            Call objBaseRelns.AddKeypoint(Object1:=objBaseLines(0), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objBaseLines(1), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            Call objBaseRelns.AddKeypoint(Object1:=objBaseLines(1), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objBaseLines(2), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            Call objBaseRelns.AddKeypoint(Object1:=objBaseLines(2), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objBaseLines(3), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            Call objBaseRelns.AddKeypoint(Object1:=objBaseLines(3), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objBaseLines(0), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)

            ' Check for the Profile Validity
            lngStatus = objBaseProfile(0).End(ValidationCriteria:=SolidEdgePart.ProfileValidationType.igProfileClosed)
            'Create the Base Extruded Protrusion Feature
            objModel = objDoc.Models.AddFiniteExtrudedProtrusion(NumberOfProfiles:=1, _
                                                                     ProfileArray:=objBaseProfile, _
                                                                     ProfilePlaneSide:=SolidEdgePart.FeaturePropertyConstants.igRight, _
                                                                     ExtrusionDistance:=0.1)
            objBaseProfile(0).Visible = False
            ' Create a new reference plane.
            objRefPlane = objDoc.RefPlanes.AddParallelByDistance( _
                              ParentPlane:=objDoc.RefPlanes.Item(2), Distance:=0.15, _
                              NormalSide:=SolidEdgePart.FeaturePropertyConstants.igRight, Local:=True)
            ' Create a new profile set and profile to use for the first section.
            objProfiles(0) = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objRefPlane)
            ' Get the model space origin relative to profile space.
            Call objProfiles(0).Convert3DCoordinate(x3d:=0, y3d:=0, z3d:=0, _
                                                    x2d:=xOrigin, y2d:=yOrigin)
            ' Save the coordinates to define the start point for this profile.
            Origin(0) = 0.03
            Origin(1) = 0.03
            OriginArray(0) = Origin
            ' Set a reference to the Lines2d and Relations2d collections on the profile.
            objLines = objProfiles(0).Lines2d
            objRelations = objProfiles(0).Relations2d
            ' Draw 4 lines for the Rectangular profile graphics.
            objLine(0) = objLines.AddBy2Points(x1:=0.03, y1:=0.03, x2:=0.07, _
                                                   y2:=0.03)
            objLine(1) = objLines.AddBy2Points(x1:=0.07, y1:=0.03, _
                                                   x2:=0.07, y2:=0.07)
            objLine(2) = objLines.AddBy2Points(x1:=0.07, y1:=0.07, _
                                                   x2:=0.03, y2:=0.07)
            objLine(3) = objLines.AddBy2Points(x1:=0.03, y1:=0.07, _
                                                   x2:=0.03, y2:=0.03)
            ' Connect the lines with relationships
            Call objRelations.AddKeypoint(Object1:=objLine(0), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objLine(1), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            Call objRelations.AddKeypoint(Object1:=objLine(1), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objLine(2), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            Call objRelations.AddKeypoint(Object1:=objLine(2), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objLine(3), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            Call objRelations.AddKeypoint(Object1:=objLine(3), Index1:=SolidEdgeConstants.KeypointIndexConstants.igLineEnd, Object2:= _
                                          objLine(0), Index2:=SolidEdgeConstants.KeypointIndexConstants.igLineStart)
            ' End and validate the profile.
            lngStatus = objProfiles(0).End(ValidationCriteria:=SolidEdgePart.ProfileValidationType.igProfileClosed)
            If lngStatus <> 0 Then
                MsgBox(" Invalid Profile")
            End If

            'Create another Base Extruded Protrusion Feature
            objModel = objDoc.Models.AddFiniteExtrudedProtrusion(NumberOfProfiles:=1, _
                                                                     ProfileArray:=objProfiles, _
                                                                     ProfilePlaneSide:=SolidEdgePart.FeaturePropertyConstants.igRight, _
                                                                     ExtrusionDistance:=0.1)
            objProfiles(0).Visible = False
                         
            objExtProt1 = objModel.ExtrudedProtrusions.Item(1)

            ' Get all base faces collection
            objFaces = objExtProt1.Faces(SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)

            ' Collect INPUT Base faces
            objBaseFaces = objFaces.Item(3)

            objExtProt2 = objModel.ExtrudedProtrusions.Item(2)
            ' Get all base faces collection
            objFaces = objExtProt2.Faces(SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)
            ' Collect INPUT target faces
            objTargetFaces = objFaces.Item(6)

            objBaseFaces.Style = objDoc.FaceStyles("red")
            objTargetFaces.Style = objDoc.FaceStyles("red")

            LabelWeldDC = objDoc.LabelWeldDataCollection
            LabelWeldObject = LabelWeldDC.Add(ZSymbol:=0, Tail:=0, DashLine:=0, WeldInField:=0, OffsetTopBottom:=0, WeldAllAround:=0, Symmetrical:=0, TopNote1:="Test1", TopNote2:="Test2", TopTreatmentType:=0, TopType:=0, TopNote3:="Test3", TopNoteZ:="", TailNote:="", BottomNote1:="", BottomNote2:="", BottomTreatmentType:=0, BottomType:=0, BottomNote3:="", BottomNoteZ:="", TopTypeCompound:=0, BottomTypeCompound:=0, CenterType:=0, CrossSectionArea:=0, TailNote2:="", TopNoteCSize:="", BottomNoteCSize:="", TopNoteAngle:="", BottomNoteAngle:="", TopNoteDepth:="", BottomNoteDepth:="", TopPosOffset:=0, BottomPosOffset:=0)
            ' Target edges collection
            objTargetEdges = objTargetFaces.Edges()
                   
            objTargetTopEdges = objTargetEdges.Item(1)
            objTargetBottomEdges = objTargetEdges.Item(3) 

            ' Base top and bottom edges
            objBaseEdges = objBaseFaces.Edges()
            'objBaseTopEdges = objBaseEdges.Item(1)
            'objBaseBottomEdges = objBaseEdges.Item(3)

            'Get Start Vertex.
            StartVertex = objTargetTopEdges.StartVertex

            ' Initialize all inputs
            TopCapMethod = SolidEdgePart.FeaturePropertyConstants.igWeldGrooveCapSurface 'Extend Surface'
            BottomCapMethod = SolidEdgePart.FeaturePropertyConstants.igWeldGrooveCapSurface 'Extend Surface'
            StartCapMethod = SolidEdgePart.FeaturePropertyConstants.igWeldGrooveCapSurface  'Plane'
            EndCapMethod = SolidEdgePart.FeaturePropertyConstants.igWeldGrooveCapSurface  'Plane'
            StartOffsetValue = 1.0
            EndOffsetValue = 1.0

            'Get Groove weld collection
            GrooveWelds = objModel.PartGrooveWelds

            ' Add a  new Groove weld
            GrooveWeld = GrooveWelds.Add(objBaseFaces,
                                         objTargetFaces,
                                         objBaseTopEdges,
                                         objBaseBottomEdges,
                                         objTargetTopEdges,
                                         objTargetBottomEdges,
                                         StartVertex,
                                         TopCapMethod,
                                         BottomCapMethod,
                                         StartCapMethod,
                                         EndCapMethod,
                                         StartOffsetValue,
                                         EndOffsetValue,
                                         LabelWeldObject)

            
        Catch ex As Exception
            MsgBox(ex.ToString)
        Finally

            ' USER DISPLAY
            ' Release objects
            objApp = Nothing
            objDoc = Nothing
            objRefPlane = Nothing
            objProfiles(1) = Nothing
            objProfiles(2) = Nothing
            objProfiles(3) = Nothing
            objLine(1) = Nothing
            objLine(2) = Nothing
            objLine(3) = Nothing
            objLine(4) = Nothing
            objRelations = Nothing
            objLines = Nothing
            objBaseProfile(1) = Nothing
            objBaseLines = Nothing
            objBaseRelns = Nothing
            objModel = Nothing
            objLoftCut = Nothing
            objLoftCuts = Nothing

        End Try


    End Sub
End Class
See Also

PartGrooveWelds Collection  | PartGrooveWelds Members